Subject: telnetd doesn't give login: prompt
From: Thomas Mellman <[email-masked]>
To: [email-masked]
Date: Mon, 30 Sep 2002 09:27:41 +0200

I (still) can't use telnet for my NT box.  The test I'm stuck on is when I try to
run telnetd (i.e. without using inetd).

In one window I run:

    $ /usr/sbin/in.telnetd -debug

and in another I run:

    $ telnet $(uname -n)

I get the following:

Trying 139.21.89.82...
Connected to [email-masked].
Escape character is '^]'.
Password:

that is, I'm prompted for a password without first having entered my login-id.
Naturally, no password works.  Once I try something, I do indeed get a prompt
for a login-id:

Login incorrect
login:

Now, I'm trying to remember how it works on unix: init starts getty which, if I
remember correctly, paints the first login prompt and gets the login-id.  At
that point, login(1) is called.  Right?

What is the equivalent under Cygwin?

BTW, I created /etc/passwd w/ mkpasswd -d $USERDOMAIN -u $USERNAME
and:

$ lf /bin/cygwin*     
/bin/cygwin1.dll*

I used (a while ago) iu-config to create the files in /etc.
and:

$ whence login
/cygdrive/d/cygwin/bin/login

$ echo $CYGWIN 
ntsec

Any help will be appreciated...

-- 

----------------
Thomas Mellman
[email-masked]
______________________________________________________________________________
WEB.DE Club - jetzt testen fur 1 Euro! Nutzen Sie Ihre Chance 
unter https://digitaledienste.web.de/Club/?mc=021105

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/